> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織グループ上限の更新

> 組織グループ構成を更新する

Enterprise 管理者の個人用 APIキーが必要です。

<Note>
  このエンドポイントを使用するには、Enterprise に対して組織グループ上限機能が有効になっている必要があります。この機能を有効にするには、担当のアカウントチームにお問い合わせください。
</Note>

組織グループ構成全体を、指定された設定で置き換えます。リクエストに含まれていないグループは削除され、含まれているグループは、指定された構成に一致するように新規作成または更新されます。各グループでは、一連の組織 ID を、請求サイクルごとの Agent Compute Unit の最大 limit（任意）に対応付けます。


## OpenAPI

````yaml ja/v2-openapi.yaml PUT /v2/enterprise/org-group-limits
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/org-group-limits:
    put:
      tags:
        - org-group-limits
      summary: Org グループ設定の更新
      description: |-
        組織グループの構成を更新します。

        このエンドポイントは、指定された内容で組織グループの構成全体を置き換えます。
        - リクエストに含まれないグループは削除されます。
        - リクエストに含まれるグループは、指定された構成どおりになるよう作成または更新されます。
      operationId: update_org_groups_config_v2_enterprise_org_group_limits_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgGroupsConfig'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgGroupsConfig'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    OrgGroupsConfig:
      description: 各グループ名を対応する設定にマッピングするための構成。
      properties:
        groups:
          additionalProperties:
            $ref: '#/components/schemas/OrgGroupConfig'
          title: Groups
          type: object
      required:
        - groups
      title: OrgGroupsConfig
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrgGroupConfig:
      properties:
        max_cycle_acus:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acus
        org_ids:
          items:
            type: string
          title: Org Ids
          type: array
          uniqueItems: true
      required:
        - org_ids
      title: OrgGroupConfig
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````